<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Revue de code</title>
</head>
<body>
<h1>Revue de code du 05/01/2022</h1>
<table>
	<tr>
		<th>identifiant</th>
		<th>Emplacement</th>
		<th>Catégorie</th>
		<th>Titre</th>
		<th>Description</th>
		<th>Solution</th>
		
	</tr>
	<tr>
		<td>1</td>
		<td>Gastronomy.jsp : ligne 15</td>
		<td>code illisible/inutile/simplifiable</td>
		<td>balise &lt;script&gt;</td>
		<td>La balise &lt;script&gt; est bien trop longue ce qui rend la lecture globale difficile, avec un mélange HTML/JS</td>
		<td>Placer cette balise &lt;script&gt; dans un fichier.js associé</td>
	</tr>
	<tr>
		<td>2</td>
		<td>Gastronomy.jsp : ligne 5 et 8</td>
		<td>respect de normes et homogénéité/normes implicites</td>
		<td>Balises directives d'inclusion</td>
		<td>L'utilisation de balise d'inclusions différentes est à proscrire pour garantir l'homogénéité du code</td>
		<td>Choisir une seule des 2 balises d'inclusion pour les 2 fichiers, l'utilisation de la &lt;jsp:include&gt; est conseillée</td>
	</tr>
		<tr>
		<td>3</td>
		<td>Gastronomy.jsp : ligne 5</td>
		<td>respect de normes et homogénéité/normes implicites</td>
		<td>Balise &lt;head&gt; manquante</td>
		<td>Le fichier "head.inc.jsp" ne contennant pas de balises &lt;head&gt;, son contenu est donc placé en vrac dans la JSP finale compilé</td>
		<td>Entourer la ligne 5 de balise &lt;head&gt; et &lt;/head&gt;</td>
	</tr>
		<tr>
		<td>4</td>
		<td>Gastronomy.jsp : ligne 12</td>
		<td>respect de normes et homogénéité/normes implicites</td>
		<td>Nom de valeur incorrect</td>
		<td>La valeur de du paramètre "value" du bouton est écrit en Français, alors que le reste du code est en Anglais, et de plus sa première lettre est en majuscule alors que dans la norme celle ci est toujours en minuscule</td>
		<td>Remplacer "Trouver" par "find"</td>
	</tr>
	<tr>
		<td>5</td>
		<td>GastronomyController : ligne 30 et 43</td>
		<td>robustesse, bugs potentiels, données imprévues</td>
		<td>Fonction getDishes</td>
		<td>Les 2 fonctions du Controller ont le même nom de fonction</td>
		<td>Renommer l'une des 2 fonctions</td>
	</tr>
	<tr>
		<td>5</td>
		<td>GastronomyController : ligne 30 et 43</td>
		<td>robustesse, bugs potentiels, données imprévues</td>
		<td>Fonction getDishes</td>
		<td>Les 2 fonctions du Controller ont le même nom de fonction</td>
		<td>Renommer l'une des 2 fonctions</td>
	</tr>
		<tr>
		<td>6</td>
		<td>GastronomyWPReader : ligne 65</td>
		<td>respect de normes et homogénéité/normes implicites</td>
		<td>camelCase nom de variable</td>
		<td>variable ParagraphRegexp est mal nommée</td>
		<td>mettre le format camelCase sur ce nom de variable</td>
	</tr>
</table>
</body>
</html>